#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lxqt-runner
Version		:	1.3.0
Release		:	14.4.0.0%{?dist}
Summary		:	`%{name}` represents the taskbar of LXQt

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://lxqt.org/


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	kwindowsystem
BuildRequires	:	lxqt-build-tools
BuildRequires	:	lxqt-globalkeys >= %{version}
BuildRequires	:	menu-cache
BuildRequires	:	muparser
#-----------------------------------------------------------------------------
%description
The elements available in lxqt-panel are called "plugin" technically.
This applies e. g. to the source code where they reside in directories
`./plugin-<plugin>` like `plugin-mainmenu`. In contrast to this they
are called "widgets" by the configuration GUI so far. Also, a more
descriptive term is used to refer to distinct plugins within the GUI.
E. g. the aforementioned `plugin-mainmenu` is called "Application menu"
that way.   

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}			\
	-DCMAKE_BUILD_TYPE=Release				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS README.md
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%changelog
